Skip to main content
GET
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
events
Order events collection
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
      "version": 123,
      "request": {
        "path": "<string>",
        "method": "<string>",
        "body": "<string>"
      },
      "draft_id": "<string>"
    }
  ],
  "state": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

Response

order events

events
(Api Event · object | Order Status Event · object)[]
required
state
string

The combined state of all events

  • failure if any of the events reports as error or failure
  • pending if there is no events or if the latest status for any service is pending
  • success if the latest status for all services is success